<?php
define('DEBUG', true);
define('conf_DB_HOST', 'localhost');            //Database IP
define('conf_DB_USER', 'wifidbuser');           //username of database
define('conf_DB_PASS', 'wifidbpassword');       //the password of database
define('conf_DB_NAME', 'wifi');                 //the name of database
define('RULE_NUM_MIN', 400);				//IPFW rules begin from 400 
define('RULE_NUM_MAX', 600);				//IPFW rule finishs with 600

define('CLIENTS_IP_BEGIN', '10.0.0.50'); // the clients will start IP adress from
define('CLIENTS_IP_COUNT', '200');
define('CLIENTS_TIME', '3600'); //the period of internet access for users(an hour) 
define('RULE_ADD_IP', 'sudo ipfw add %s allow ip from any to %s');
define('RULE_ADD_IP2', 'sudo ipfw add %s allow ip from %s to any');
define('RULE_DEL_IP', 'sudo ipfw del %s');
define('RULE_DEL_IP2', 'sudo ipfw del %s');

/*
STATUS:
0  If the information of connection is true you are connected, otherwise the rule is not added! 
1 -  You have already connected
2  The username has been already used. 
3  The user is stopped.
*/

$db_link = mysql_connect(conf_DB_HOST, conf_DB_USER, conf_DB_PASS);
if (!$db_link) return cms_errors('The connection to database is failed!);

if (!mysql_select_db(conf_DB_NAME, $db_link)) return cms_errors('The connection to database is failed!!!');

function cms_errors($text)
{
        if (DEBUG) echo $text;
        return false;
}

function dumpVarX(&$Var, $Var_s = null)
{
        echo "<div align='left' class='debug'>";
        dumpVar($Var, 0, $Var_s);
        echo "<div>";
        return true;
}

function dumpVar(&$Var, $Level = 0, $Var_s = null)
{
        if ($Level > 4)
        {
                echo "<b>...</b> LEVEL > 4<br>\n";
                return;
        }
        $is_ob_ar = false;
        $Type = gettype($Var);
        if (is_array($Var)) {$is_ob_ar = true; $Type = "Array[".count($Var)."]";}
        if (is_object($Var)) $is_ob_ar = true;
        if ($Level == 0)
        {
                if ($Var_s) echo "\n<br>\n<b><span style=\"color:#ff0000\">".$Var_s." = {</span></b>";
                if ($is_ob_ar && count($Var)) echo "<pre>\n";
                else echo "\n<tt>";
                $Level_zero = 0;
        }
        if ($is_ob_ar)
        {
                echo "<span style=\"color:#05a209\">$Type</span>\n";
                for (Reset($Var), $Level++; list($k, $v)=each($Var);)
                {
                        if (is_array($v) && $k==="GLOBALS") continue;
                        for ($i=0; $i<$Level*3; $i++) echo " ";
                        echo "<b>".HtmlSpecialChars($k)."</b> => ";
                        dumpVar($v, $Level);
                }
        }
        else
        {
                if (is_string($Var) && strlen($Var)>400)
                        echo '('.$Type.') <span style="color:#35BBFA">strlen = '.strlen($Var).'</span>'."\n";
                else echo '('.$Type.') "<span style="color:#0000FF">',HtmlSpecialChars($Var),'</span>"'."\n";
        }
        if (isset($Level_zero))
        {
                if ($is_ob_ar && count($Var)) echo "</pre>";
                else echo "</tt>";
                if ($Var_s) echo "<b><span style=\"color:#ff0000\">}</span></b><br>\n";
        }
        return true;
}

?>